Drop GHC 7.10 compatibility
ClosedPublic

Authored by RyanGlScott on Jul 23 2017, 10:34 AM.

Details

Summary

GHC 8.2.1 is out, so now GHC's support window only extends back to
GHC 8.0. This means we can delete gobs of code that was only used for GHC
7.10 support. Hooray!

Test Plan

./validate

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
RyanGlScott created this revision.Jul 23 2017, 10:34 AM
RyanGlScott added inline comments.Jul 23 2017, 10:36 AM
compiler/utils/Util.hs
1361–1362

I wasn't sure what to do here. Do you think we should drop this alias and instead re-export GHC.Stack.HasCallStack?

1368–1369

Similarly, should we drop prettyCurrentCallStack and just re-export GHC.Stack.prettyCallStack instead?

Oh, it appears the Harbormaster builder is still using GHC 7.10, which is certainly a problem here :)

bgamari edited edge metadata.Jul 23 2017, 12:01 PM

I'll try to update the builders today.

bgamari added inline comments.Jul 23 2017, 1:22 PM
compiler/utils/Util.hs
1361–1362

Sounds like a plan to me.

1368–1369

I believe that Outputable.callStackDoc is the only use-site of this. Perhaps just inline it there and drop it here.

RyanGlScott planned changes to this revision.Jul 23 2017, 1:30 PM
  • CallStack cleanup

After restarting the Harbormaster build with GHC 8.2.1 as the bootstrapping compiler, the build seems to pass (except on OS X, but the failure there seems unrelated to these changes).

Phyx added a subscriber: Phyx.Jul 29 2017, 1:50 AM

When this is pushed should also update the wiki instructions and send an email.
Preferably with a bit of lead time, people probably have build setups to change.

Phyx awarded a token.Jul 29 2017, 1:51 AM
hvr edited edge metadata.Jul 30 2017, 2:45 AM

Fwiw, D3757 drops support for GHC < 8 as well (and also takes care of updating configure.ac; luckily this patch doesn't modify configure.ac, so there's no merge-conflict between this Diff and D3757 :-) )

bgamari accepted this revision.Aug 1 2017, 7:57 AM

Looks good to me. Thanks @RyanGlScott!

This revision is now accepted and ready to land.Aug 1 2017, 7:57 AM
This revision was automatically updated to reflect the committed changes.